/*-------------------------------------------------------------------------
 |                                                                         
 |             SAS SUPPLEMENTAL SYNTAX FILE FOR ICPSR 02884
 |        NATIONAL TREATMENT IMPROVEMENT EVALUATION STUDY (NTIES),
 |                               1992-1997
 |        (DATASET 0002: NTIES TREATMENT EXPERIENCE QUESTIONNAIRE
 |                                (NTEQ))
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed by ICPSR. The metadata
 | provided below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace "SAS-dataset" with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

RUN;

* SAS DATA STEP;
DATA;
SET SAS-dataset ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (T5 <= -1) THEN T5 = .;
   IF (T6 <= -1) THEN T6 = .;
   IF (T8 <= -1) THEN T8 = .;
   IF (T9 <= -1) THEN T9 = .;
   IF (T11 <= -1) THEN T11 = .;
   IF (T32 <= -1) THEN T32 = .;
   IF (T71 <= -1) THEN T71 = .;
   IF (T83 <= -1) THEN T83 = .;
   IF (T87 <= -1) THEN T87 = .;
   IF (T89 <= -1) THEN T89 = .;
   IF (T93 <= -1) THEN T93 = .;
   IF (T99M3 <= -1) THEN T99M3 = .;
   IF (T99M4 <= -1) THEN T99M4 = .;
   IF (PRGMTYPE <= -1) THEN PRGMTYPE = .;
   IF (TRT2 <= -1) THEN TRT2 = .;
   IF (PRG2 <= -1) THEN PRG2 = .;
   IF (CELL <= -1) THEN CELL = .;
   IF (CELL2 <= -1) THEN CELL2 = .;
   IF (T115 <= -1) THEN T115 = .;
   IF (T117 = 3) THEN T117 = .;
   IF (T117 <= -1) THEN T117 = .;
   IF (T119 = 3) THEN T119 = .;
   IF (T119 <= -1) THEN T119 = .;
   IF (T132 <= -1) THEN T132 = .;
   IF (T141 <= -1) THEN T141 = .;
   IF (T145 <= -1) THEN T145 = .;
   IF (T153 <= -1) THEN T153 = .;
   IF (T158 <= -1) THEN T158 = .;
   IF (T164M1 <= -1) THEN T164M1 = .;
   IF (T164M2 <= -1) THEN T164M2 = .;
   IF (T164M3 <= -1) THEN T164M3 = .;
   IF (T164M4 <= -1) THEN T164M4 = .;
   IF (T164M5 <= -1) THEN T164M5 = .;
   IF (T164M6 <= -1) THEN T164M6 = .;
   IF (T164M7 <= -1) THEN T164M7 = .;
   IF (T164M8 <= -1) THEN T164M8 = .;
   IF (T164M9 <= -1) THEN T164M9 = .;
   IF (T164M10 <= -1) THEN T164M10 = .;
   IF (T164M11 <= -1) THEN T164M11 = .;
   IF (T164M12 <= -1) THEN T164M12 = .;
   IF (T164M13 <= -1) THEN T164M13 = .;
   IF (T169 <= -1) THEN T169 = .;
   IF (T172 <= -1) THEN T172 = .;
   IF (T176 <= -1) THEN T176 = .;
   IF (T183 = 7) THEN T183 = .;
   IF (T183 <= -1) THEN T183 = .;
   IF (T191 = 6) THEN T191 = .;
   IF (T191 <= -1) THEN T191 = .;
   IF (T195 = 4) THEN T195 = .;
   IF (T195 <= -1) THEN T195 = .;
   IF (T198 = 4) THEN T198 = .;
   IF (T198 <= -1) THEN T198 = .;
   IF (T201 = 3) THEN T201 = .;
   IF (T201 <= -1) THEN T201 = .;
   IF (T203 <= -1) THEN T203 = .;
   IF (T211 <= -1) THEN T211 = .;
   IF (T213 <= -1) THEN T213 = .;
   IF (T215 <= -1) THEN T215 = .;
   IF (T217 <= -1) THEN T217 = .;
   IF (T221 <= -1) THEN T221 = .;
   IF (T225 <= -1) THEN T225 = .;
   IF (T229 <= -1) THEN T229 = .;
   IF (T233M1 <= -1) THEN T233M1 = .;
   IF (T233M2 <= -1) THEN T233M2 = .;
   IF (T233M3 <= -1) THEN T233M3 = .;
   IF (T233M4 <= -1) THEN T233M4 = .;
   IF (T233M5 <= -1) THEN T233M5 = .;
   IF (T233M6 <= -1) THEN T233M6 = .;
   IF (T233M7 <= -1) THEN T233M7 = .;
   IF (T233M8 <= -1) THEN T233M8 = .;
   IF (T233M9 <= -1) THEN T233M9 = .;
   IF (T233M10 <= -1) THEN T233M10 = .;
   IF (T233M11 <= -1) THEN T233M11 = .;
   IF (T233M12 <= -1) THEN T233M12 = .;
   IF (T233M13 <= -1) THEN T233M13 = .;
   IF (T241A1 <= -1) THEN T241A1 = .;
   IF (T241A2 <= -1) THEN T241A2 = .;
   IF (T241A3 <= -1) THEN T241A3 = .;
   IF (T241A4 <= -1) THEN T241A4 = .;
   IF (T241A5 <= -1) THEN T241A5 = .;
   IF (T241A6 <= -1) THEN T241A6 = .;
   IF (T241A7 <= -1) THEN T241A7 = .;
   IF (T241A8 <= -1) THEN T241A8 = .;
   IF (T241A9 <= -1) THEN T241A9 = .;
   IF (T241A10 <= -1) THEN T241A10 = .;
   IF (T241A11 <= -1) THEN T241A11 = .;
   IF (T241A12 <= -1) THEN T241A12 = .;
   IF (T243 <= -1) THEN T243 = .;
   IF (T246M1 <= -1) THEN T246M1 = .;
   IF (T246M2 <= -1) THEN T246M2 = .;
   IF (T246M3 <= -1) THEN T246M3 = .;
   IF (T246M4 <= -1) THEN T246M4 = .;
   IF (T246M5 <= -1) THEN T246M5 = .;
   IF (T246M6 <= -1) THEN T246M6 = .;
   IF (T246M7 <= -1) THEN T246M7 = .;
   IF (T246M8 <= -1) THEN T246M8 = .;
   IF (T246M9 <= -1) THEN T246M9 = .;
   IF (T246M11 <= -1) THEN T246M11 = .;
   IF (T246M12 <= -1) THEN T246M12 = .;
   IF (T246M13 <= -1) THEN T246M13 = .;
   IF (T246M14 <= -1) THEN T246M14 = .;
   IF (T247 <= -1) THEN T247 = .;
   IF (T248 <= -1) THEN T248 = .;
   IF (T250 <= -1) THEN T250 = .;
   IF (T251 <= -1) THEN T251 = .;
   IF (T252 <= -1) THEN T252 = .;
   IF (T253 <= -1) THEN T253 = .;
   IF (T255 <= -1) THEN T255 = .;
   IF (T257 <= -1) THEN T257 = .;
   IF (T261 <= -1) THEN T261 = .;
   IF (T262M1 <= -1) THEN T262M1 = .;
   IF (T262M2 <= -1) THEN T262M2 = .;
   IF (T262M3 <= -1) THEN T262M3 = .;
   IF (T263 <= -1) THEN T263 = .;
   IF (T264M1 <= -1) THEN T264M1 = .;
   IF (T264M2 <= -1) THEN T264M2 = .;
   IF (T264M3 <= -1) THEN T264M3 = .;
   IF (T265 <= -1) THEN T265 = .;
   IF (T266M1 <= -1) THEN T266M1 = .;
   IF (T266M2 <= -1) THEN T266M2 = .;
   IF (T266M3 <= -1) THEN T266M3 = .;
   IF (T267 <= -1) THEN T267 = .;
   IF (T268 <= -1) THEN T268 = .;
   IF (T269 <= -1) THEN T269 = .;
   IF (T270 <= -1) THEN T270 = .;
   IF (T272 = 3) THEN T272 = .;
   IF (T272 <= -1) THEN T272 = .;
   IF (T273 = 3) THEN T273 = .;
   IF (T273 <= -1) THEN T273 = .;
   IF (T274M1 = 3) THEN T274M1 = .;
   IF (T274M1 <= -1) THEN T274M1 = .;
   IF (T274M2 = 3) THEN T274M2 = .;
   IF (T274M2 <= -1) THEN T274M2 = .;
   IF (T274M3 = 3) THEN T274M3 = .;
   IF (T274M3 <= -1) THEN T274M3 = .;
   IF (T277 <= -1) THEN T277 = .;
   IF (T278 <= -1) THEN T278 = .;
   IF (T279 <= -1) THEN T279 = .;
   IF (T280 <= -1) THEN T280 = .;
   IF (T281 <= -1) THEN T281 = .;
   IF (T282 <= -1) THEN T282 = .;
   IF (T284 <= -1) THEN T284 = .;
   IF (T285M7 <= -1) THEN T285M7 = .;
   IF (T285M9 <= -1) THEN T285M9 = .;
   IF (T285M10 <= -1) THEN T285M10 = .;
   IF (T285M12 <= -1) THEN T285M12 = .;
   IF (T285M13 <= -1) THEN T285M13 = .;
   IF (T285M16 <= -1) THEN T285M16 = .;
   IF (T285M17 <= -1) THEN T285M17 = .;
   IF (T285M18 <= -1) THEN T285M18 = .;
   IF (T285M19 <= -1) THEN T285M19 = .;
   IF (T285M20 <= -1) THEN T285M20 = .;
   IF (T285M21 <= -1) THEN T285M21 = .;
   IF (T285M22 <= -1) THEN T285M22 = .;
   IF (T286 <= -1) THEN T286 = .;
   IF (T287 = 3) THEN T287 = .;
   IF (T287 <= -1) THEN T287 = .;
   IF (T289 <= -1) THEN T289 = .;
   IF (T291 <= -1) THEN T291 = .;
   IF (T295 <= -1) THEN T295 = .;
   IF (T297 <= -1) THEN T297 = .;
   IF (T298 <= -1) THEN T298 = .;
   IF (T299M1 <= -1) THEN T299M1 = .;
   IF (T299M2 <= -1) THEN T299M2 = .;
   IF (T299M3 <= -1) THEN T299M3 = .;
   IF (T300 <= -1) THEN T300 = .;
   IF (T307 <= -1) THEN T307 = .;
   IF (T309 <= -1) THEN T309 = .;
   IF (T310 <= -1) THEN T310 = .;
   IF (T312 <= -1) THEN T312 = .;
   IF (T313 <= -1) THEN T313 = .;
   IF (T315 <= -1) THEN T315 = .;
   IF (T316 <= -1) THEN T316 = .;
   IF (T321 <= -1) THEN T321 = .;
   IF (T324M1 <= -1) THEN T324M1 = .;
   IF (T324M2 <= -1) THEN T324M2 = .;
   IF (T324M3 <= -1) THEN T324M3 = .;
   IF (T326 <= -1) THEN T326 = .;
   IF (T331 <= -1) THEN T331 = .;
   IF (T333M1 <= -1) THEN T333M1 = .;
   IF (T333M2 <= -1) THEN T333M2 = .;
   IF (T333M3 <= -1) THEN T333M3 = .;
   IF (T334 <= -1) THEN T334 = .;
   IF (T335 <= -1) THEN T335 = .;
   IF (T336M1 <= -1) THEN T336M1 = .;
   IF (T336M2 <= -1) THEN T336M2 = .;
   IF (T336M3 <= -1) THEN T336M3 = .;
   IF (T338 <= -1) THEN T338 = .;
   IF (T339 <= -1) THEN T339 = .;
   IF (T340M1 <= -1) THEN T340M1 = .;
   IF (T340M2 <= -1) THEN T340M2 = .;
   IF (T340M3 <= -1) THEN T340M3 = .;
   IF (T341 <= -1) THEN T341 = .;
   IF (T342 <= -1) THEN T342 = .;
   IF (T343M1 <= -1) THEN T343M1 = .;
   IF (T343M2 <= -1) THEN T343M2 = .;
   IF (T343M3 <= -1) THEN T343M3 = .;
   IF (T344 <= -1) THEN T344 = .;
   IF (T346 <= -1) THEN T346 = .;
   IF (T347M1 <= -1) THEN T347M1 = .;
   IF (T347M2 <= -1) THEN T347M2 = .;
   IF (T347M3 <= -1) THEN T347M3 = .;
   IF (T348 <= -1) THEN T348 = .;
   IF (T349 <= -1) THEN T349 = .;
   IF (T350M1 <= -1) THEN T350M1 = .;
   IF (T350M2 <= -1) THEN T350M2 = .;
   IF (T350M3 <= -1) THEN T350M3 = .;
   IF (T357 <= -1) THEN T357 = .;
   IF (T358M1 <= -1) THEN T358M1 = .;
   IF (T358M2 <= -1) THEN T358M2 = .;
   IF (T358M3 <= -1) THEN T358M3 = .;
   IF (T358M4 <= -1) THEN T358M4 = .;
   IF (T358M5 <= -1) THEN T358M5 = .;
   IF (T358M6 <= -1) THEN T358M6 = .;
   IF (T358M7 <= -1) THEN T358M7 = .;
   IF (T362M1 <= -1) THEN T362M1 = .;
   IF (T362M2 <= -1) THEN T362M2 = .;
   IF (T362M3 <= -1) THEN T362M3 = .;
   IF (T364 <= -1) THEN T364 = .;
   IF (T365 <= -1) THEN T365 = .;
   IF (T369 <= -1) THEN T369 = .;
   IF (T374 <= -1) THEN T374 = .;
   IF (T376M1 <= -1) THEN T376M1 = .;
   IF (T381 <= -1) THEN T381 = .;
   IF (T383 <= -1) THEN T383 = .;
   IF (T384 <= -1) THEN T384 = .;
   IF (T385 <= -1) THEN T385 = .;
   IF (T386 <= -1) THEN T386 = .;
   IF (T388 <= -1) THEN T388 = .;
   IF (T389M1 <= -1) THEN T389M1 = .;
   IF (T389M2 <= -1) THEN T389M2 = .;
   IF (T389M3 <= -1) THEN T389M3 = .;
   IF (T390 <= -1) THEN T390 = .;
   IF (T392 <= -1) THEN T392 = .;
   IF (T393M1 <= -1) THEN T393M1 = .;
   IF (T393M2 <= -1) THEN T393M2 = .;
   IF (T393M3 <= -1) THEN T393M3 = .;
   IF (T394 <= -1) THEN T394 = .;
   IF (T398 <= -1) THEN T398 = .;
   IF (T401 = 3) THEN T401 = .;
   IF (T401 <= -1) THEN T401 = .;
   IF (T403 <= -1) THEN T403 = .;
   IF (T404M1 <= -1) THEN T404M1 = .;
   IF (T404M2 <= -1) THEN T404M2 = .;
   IF (T404M3 <= -1) THEN T404M3 = .;
   IF (T409 <= -1) THEN T409 = .;
   IF (T410 <= -1) THEN T410 = .;
   IF (T417 = 3) THEN T417 = .;
   IF (T417 <= -1) THEN T417 = .;
   IF (T418 = 3) THEN T418 = .;
   IF (T418 <= -1) THEN T418 = .;
   IF (T420 <= -1) THEN T420 = .;
   IF (T422 <= -1) THEN T422 = .;
   IF (T424 <= -1) THEN T424 = .;
   IF (T426M1 <= -1) THEN T426M1 = .;
   IF (T426M2 <= -1) THEN T426M2 = .;
   IF (T426M3 <= -1) THEN T426M3 = .;
   IF (T426M4 <= -1) THEN T426M4 = .;
   IF (T426M5 <= -1) THEN T426M5 = .;
   IF (T426M6 <= -1) THEN T426M6 = .;
   IF (T426M7 <= -1) THEN T426M7 = .;
   IF (T426M8 <= -1) THEN T426M8 = .;
   IF (T426M9 <= -1) THEN T426M9 = .;
   IF (T426M10 <= -1) THEN T426M10 = .;
   IF (T428M1 <= -1) THEN T428M1 = .;
   IF (T428M2 <= -1) THEN T428M2 = .;
   IF (T428M3 <= -1) THEN T428M3 = .;
   IF (T429 <= -1) THEN T429 = .;
   IF (T431 <= -1) THEN T431 = .;
   IF (T434M1 <= -1) THEN T434M1 = .;
   IF (T434M2 <= -1) THEN T434M2 = .;
   IF (T434M3 <= -1) THEN T434M3 = .;
   IF (T435 = 3) THEN T435 = .;
   IF (T435 <= -1) THEN T435 = .;
   IF (T436 = 3) THEN T436 = .;
   IF (T436 <= -1) THEN T436 = .;
   IF (T437M1 = 3) THEN T437M1 = .;
   IF (T437M1 <= -1) THEN T437M1 = .;
   IF (T437M2 = 3) THEN T437M2 = .;
   IF (T437M2 <= -1) THEN T437M2 = .;
   IF (T437M3 = 3) THEN T437M3 = .;
   IF (T437M3 <= -1) THEN T437M3 = .;
   IF (T438 = 5) THEN T438 = .;
   IF (T438 <= -1) THEN T438 = .;
   IF (T446 <= -1) THEN T446 = .;
   IF (T448 <= -1) THEN T448 = .;
   IF (T452 <= -1) THEN T452 = .;
   IF (T454 <= -1) THEN T454 = .;
   IF (T455 <= -1) THEN T455 = .;
   IF (T457 <= -1) THEN T457 = .;
   IF (T459M1 <= -1) THEN T459M1 = .;
   IF (T459M2 <= -1) THEN T459M2 = .;
   IF (T459M3 <= -1) THEN T459M3 = .;
   IF (T461 <= -1) THEN T461 = .;
   IF (T463M1 <= -1) THEN T463M1 = .;
   IF (T463M2 <= -1) THEN T463M2 = .;
   IF (T463M3 <= -1) THEN T463M3 = .;
   IF (T464 <= -1) THEN T464 = .;
   IF (T465M1 <= -1) THEN T465M1 = .;
   IF (T465M2 <= -1) THEN T465M2 = .;
   IF (T465M3 <= -1) THEN T465M3 = .;
   IF (T466 <= -1) THEN T466 = .;
   IF (T469 <= -1) THEN T469 = .;
   IF (T472 <= -1) THEN T472 = .;
   IF (T475M1 <= -1) THEN T475M1 = .;
   IF (T475M2 <= -1) THEN T475M2 = .;
   IF (T475M3 <= -1) THEN T475M3 = .;
   IF (T480 <= -1) THEN T480 = .;
   IF (T484 <= -1) THEN T484 = .;
   IF (T485 <= -1) THEN T485 = .;
   IF (T486M1 <= -1) THEN T486M1 = .;
   IF (T486M2 <= -1) THEN T486M2 = .;
   IF (T486M3 <= -1) THEN T486M3 = .;
   IF (T487 <= -1) THEN T487 = .;
   IF (T488 <= -1) THEN T488 = .;
   IF (T489M1 <= -1) THEN T489M1 = .;
   IF (T489M2 <= -1) THEN T489M2 = .;
   IF (T489M3 <= -1) THEN T489M3 = .;
   IF (T490 <= -1) THEN T490 = .;
   IF (T491 <= -1) THEN T491 = .;
   IF (T492M1 <= -1) THEN T492M1 = .;
   IF (T492M2 <= -1) THEN T492M2 = .;
   IF (T492M3 <= -1) THEN T492M3 = .;
   IF (T500 <= -1) THEN T500 = .;
   IF (T509 <= -1) THEN T509 = .;
   IF (T513 <= -1) THEN T513 = .;
   IF (T516M1 <= -1) THEN T516M1 = .;
   IF (T516M2 <= -1) THEN T516M2 = .;
   IF (T516M3 <= -1) THEN T516M3 = .;
   IF (T516M4 <= -1) THEN T516M4 = .;
   IF (T516M5 <= -1) THEN T516M5 = .;
   IF (T516M6 <= -1) THEN T516M6 = .;
   IF (T516M7 <= -1) THEN T516M7 = .;
   IF (T516M8 <= -1) THEN T516M8 = .;
   IF (T516M9 <= -1) THEN T516M9 = .;
   IF (T516M10 <= -1) THEN T516M10 = .;
   IF (T518 <= -1) THEN T518 = .;
   IF (T519M1 <= -1) THEN T519M1 = .;
   IF (T519M2 <= -1) THEN T519M2 = .;
   IF (T519M3 <= -1) THEN T519M3 = .;
   IF (T520 <= -1) THEN T520 = .;
   IF (T523 <= -1) THEN T523 = .;
   IF (T547 <= -1) THEN T547 = .;
   IF (T554 <= -1) THEN T554 = .;
   IF (T128 <= -1) THEN T128 = .;
*/

RUN ;
